Uploaded image for project: 'Puppet Server'
  1. Puppet Server
  2. SERVER-1542

Unable to start puppetserver after upgrade

    Details

    • Type: Bug
    • Status: Resolved
    • Priority: Blocker
    • Resolution: Fixed
    • Affects Version/s: SERVER 2.5.0
    • Fix Version/s: None
    • Component/s: None
    • Labels:
      None
    • Template:
    • Acceptance Criteria:
      Hide

      Puppetserver is able to start seamlessly after upgrade

      Show
      Puppetserver is able to start seamlessly after upgrade

      Description

      Hi Guys,

      I had a good running puppetserver daemon but after

      sudo yum update -y

      It is not running, complaining Specified bootstrap config file does not exist: '/etc/puppetlabs/puppetserver/bootstrap.cfg'.
      detailed log output from puppetserver-daemon.log is as below:

      OpenJDK 64-Bit Server VM warning: ignoring option MaxPermSize=256m; support was removed in 8.0
      Exception in thread "main" java.lang.IllegalArgumentException: Specified bootstrap config file does not exist: '/etc/puppetlabs/puppetserver/bootstrap.cfg'
      at puppetlabs.trapperkeeper.bootstrap$eval14658$wrap_uri_error_14663$fn_14664.invoke(bootstrap.clj:131)
      at puppetlabs.trapperkeeper.bootstrap$eval14658$wrap_uri_error__14663.invoke(bootstrap.clj:127)
      at puppetlabs.trapperkeeper.bootstrap$eval14681$read_config_14686$fn_14687.invoke(bootstrap.clj:150)
      at puppetlabs.trapperkeeper.bootstrap$eval14681$read_config__14686.invoke(bootstrap.clj:134)
      at puppetlabs.trapperkeeper.bootstrap$eval14704$get_annotated_bootstrap_entries_14709$fn14710$iter1471114717$fn_14718.invoke(bootstrap.clj:160)
      at clojure.lang.LazySeq.sval(LazySeq.java:40)
      at clojure.lang.LazySeq.seq(LazySeq.java:49)
      at clojure.lang.RT.seq(RT.java:507)
      at clojure.core$seq__4128.invoke(core.clj:137)
      at clojure.core.protocols$seq_reduce.invoke(protocols.clj:30)
      at clojure.core.protocols$fn__6506.invoke(protocols.clj:101)
      at clojure.core.protocols$fn_6452$G6447_6465.invoke(protocols.clj:13)
      at clojure.core$reduce.invoke(core.clj:6519)
      at puppetlabs.trapperkeeper.bootstrap$eval14944$remove_duplicate_entries_14949$fn_14950.invoke(bootstrap.clj:284)
      at puppetlabs.trapperkeeper.bootstrap$eval14944$remove_duplicate_entries__14949.invoke(bootstrap.clj:263)
      at puppetlabs.trapperkeeper.bootstrap$eval14970$parse_bootstrap_configs_BANG__14977$fn_14978.invoke(bootstrap.clj:304)
      at puppetlabs.trapperkeeper.bootstrap$eval14970$parse_bootstrap_configs_BANG___14977.invoke(bootstrap.clj:293)
      at puppetlabs.trapperkeeper.core$eval15252$boot_with_cli_data_15259$fn_15260.invoke(core.clj:129)
      at puppetlabs.trapperkeeper.core$eval15252$boot_with_cli_data__15259.invoke(core.clj:95)
      at puppetlabs.trapperkeeper.core$eval15281$run_15286$fn_15287.invoke(core.clj:151)
      at puppetlabs.trapperkeeper.core$eval15281$run__15286.invoke(core.clj:145)
      at puppetlabs.trapperkeeper.core$main.doInvoke(core.clj:173)
      at clojure.lang.RestFn.invoke(RestFn.java:457)
      at clojure.lang.Var.invoke(Var.java:394)
      at clojure.lang.AFn.applyToHelper(AFn.java:165)
      at clojure.lang.Var.applyTo(Var.java:700)
      at clojure.core$apply.invoke(core.clj:630)
      at puppetlabs.trapperkeeper.main$_main.doInvoke(main.clj:7)
      at clojure.lang.RestFn.invoke(RestFn.java:457)
      at clojure.lang.Var.invoke(Var.java:394)
      at clojure.lang.AFn.applyToHelper(AFn.java:165)
      at clojure.lang.Var.applyTo(Var.java:700)
      at clojure.core$apply.invoke(core.clj:630)
      at clojure.main$main_opt.invoke(main.clj:316)
      at clojure.main$main.doInvoke(main.clj:421)
      at clojure.lang.RestFn.invoke(RestFn.java:512)
      at clojure.lang.Var.invoke(Var.java:409)
      at clojure.lang.AFn.applyToHelper(AFn.java:178)
      at clojure.lang.Var.applyTo(Var.java:700)
      at clojure.main.main(main.java:37)
      Caused by: java.lang.IllegalArgumentException: URI is not absolute
      at java.net.URI.toURL(URI.java:1088)
      at clojure.java.io$fn__9197.invoke(io.clj:248)
      at clojure.java.io$fn_9102$G9095_9109.invoke(io.clj:69)
      at clojure.java.io$fn__9163.invoke(io.clj:165)
      at clojure.java.io$fn_9115$G9091_9122.invoke(io.clj:69)
      at clojure.java.io$reader.doInvoke(io.clj:102)
      at clojure.lang.RestFn.invoke(RestFn.java:410)
      at puppetlabs.trapperkeeper.bootstrap$eval14681$read_config_14686$fn_14687.invoke(bootstrap.clj:144)
      ... 37 more
      Information about puppetserver

      [jim@puppet ~]$ puppetserver --version
      puppetserver version: 2.5.0
      [jim@puppet ~]$ puppet agent --version
      4.6.1
      [jim@puppet ~]$

      Host Operating System:

      CentOS 6.8

      Any help would be greatly appreciated.

        Attachments

          Issue Links

            Activity

              jsd-sla-details-panel

                People

                • Assignee:
                  newpuppetuser Ameya Agashe
                  Reporter:
                  newpuppetuser Ameya Agashe
                • Votes:
                  1 Vote for this issue
                  Watchers:
                  5 Start watching this issue

                  Dates

                  • Created:
                    Updated:
                    Resolved: